/* iPadPro, iPadAir, SurfacePro7 */
@media (max-width:1024px) and (min-width: 821px) {

}

/* iPadMini */
@media (max-width:820px) and (min-width: 641px) {

}

/* iPhone */
@media (max-width: 640px) {
    /* 区块1 */
    .products-section1-container{
        padding: 30px 0;
    }
    .products-section1-header{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .products-section1-header-left{
        width: 100%;
    }
    .products-section1-header-title{
        font-size: 20px;
    }
    .products-section1-header-right{
        width: 100%;
        padding-top: 20px;
    }
    .products-section1-header-sub-title{
        font-size: 14px;
    }
    .products-section1-sub-category{
        margin-right: 15px;
        font-size: 14px;
        border-bottom: #ffffff solid 2px;
        padding-bottom: 10px;
    }
    .products-section1-sub-category-active{
        border-bottom: #c40d23 solid 2px;
    }
    .products-list-container{
        padding-bottom: 30px;
    }
    .products-group{
        margin-bottom: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product{
        width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
    }
    .product-poster-swiper-wrap{
        height: 300px;
        border-radius: 10px;
    }
    .product-poster-swiper{
        height: 300px;
    }
    .product-poster{
        height: 300px;
    }
    .product-poster-img{
        height: 200px;
    }
    .product-poster-swiper .swiper-button-next{
        right: 20px;
        display: flex;
    }
    .product-poster-swiper .swiper-button-prev{
        left: 20px;
        display: flex;
    }
    .product-info{
        padding-top: 20px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .product-info-left{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .product-title{
        font-size: 20px;
    }
    .product-description{
        padding-top: 10px;
        font-size: 14px;
    }
    .product-info-right{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: flex-start;
        padding-top: 10px;
    }
    .product-info-model{
        justify-content: flex-start;
    }
    .product-info-model-dot{
        width: 10px;
        height: 10px;
        border-radius: 5px;
    }
    .product-info-model-num{
        max-width: unset;
        padding-left: 5px;
        font-size: 12px;
    }
    .products-list-filter-container{
        width: 80%;
        background-color: #444444;
        position: fixed;
        bottom: 30px;
        left: 10vw;
        border-radius: 10px;
        z-index: 1000;
        display: none;
    }
    .products-list-filter-container-mobile-open{
        display: block;
    }
    .products-list-filter-container-content{
        /*padding: 30px 0;*/
        padding-bottom: 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        max-height: 60vh;
        overflow-y: auto;
    }
    .products-list-filter{
        width: 100%;
        margin-right: 0;
        border-radius: unset;
        padding: 0;
        padding-bottom: 20px;
    }
    .products-list-filter:last-of-type{
        padding-bottom: 0;
    }
    .products-list-filter-header-title{
        font-size: 20px;
    }
    .products-list-filter-options{
        padding-top: 10px;
    }
    .product-list-filter-option{
        padding: 0 10px;
        height: 30px;
        line-height: 30px;
        font-size: 14px;
        margin-right: 10px;
        margin-bottom: 10px;
        border-radius: 15px;
    }
    .products-filter-toggle-btn{
        position: fixed;
        left: 10px;
        bottom: 80px;
        width: 40px;
        height: 40px;
        border-radius: 20px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        background-color: #c40d23;
        z-index: 999;
    }
    .products-filter-toggle-btn-icon{
        width: 20px;
        height: 20px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .products-filter-toggle-btn-icon-img{
        width: 20px;
        height: 20px;
        object-fit: contain;
    }
    .products-list-filter-container-header{
        width: calc(100% - 40px);
        margin: 0 auto;
        padding-top: 20px;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
    }
    .products-list-filter-container-header-action{
        width: 30px;
        height: 30px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        background-color: #c40d23;
        border-radius: 15px;
    }
    .products-list-filter-container-header-action-icon{
        width: 15px;
        height: 15px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .products-list-filter-container-header-action-icon-img{
        width: 15px;
        height: 15px;
        object-fit: contain;
    }
}